﻿/* ============================================================
* Author:       xieqin
* Time:         2015/5/5 16:16:06
* FileName:     JsonObject
* Purpose:      json
* =============================================================*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json.Linq;

namespace Utility
{
    public static class JObjectExtension
    {
        public static bool GetIntValue(this JObject self, string key, out int val)
        {
            JToken token = null;
            if (self.TryGetValue(key, out token))
            {
                val = (int)token;
                return true;
            }
            val = 0;
            return false;
        }

        public static bool GetStringValue(this JObject self, string key, out string val)
        {
            JToken token = null;
            if (self.TryGetValue(key, out token))
            {
                val = (string)token;
                return true;
            }
            val = "";
            return false;
        }

        public static bool GetJsonObject(this JObject self, string key, out JObject val)
        {
            JToken token = null;
            if (self.TryGetValue(key, out token))
            {
                val = JObject.Parse(token.ToString());
                return true;
            }
            val = null;
            return false;
        }

        public static void SetStringValue(this JObject self, string key, string val)
        {
            self[key] = val;
        }
    }
}
